Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.msg
Class DynamicMenuChanged

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.DynamicMenuChanged

public class DynamicMenuChanged
extends EBMessage

Sending this message will cause the specified dynamic menu to be recreated.

Since:
  jEdit 4.2pre2
Version:
  $Id: DynamicMenuChanged.java,v 1.3 2004/03/28 00:07:26 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EBMessage
`EBMessage.NonVetoable`

Constructor Summary
`DynamicMenuChanged(java.lang.String name)` Creates a new dynamic menu changed message.

Method Summary
`java.lang.String` | `getMenuName()` Returns the name of the menu in question.
`java.lang.String` | `paramString()` Returns a string representation of this message's parameters.

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, isVetoed, toString, veto`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicMenuChanged

    public DynamicMenuChanged(java.lang.String name)

  Creates a new dynamic menu changed message.

Parameters:
  `name` - The menu name. All dynamic menus with this name will be recreated next time they are displayed.

Method Detail

### getMenuName

    public java.lang.String getMenuName()

  Returns the name of the menu in question.

### paramString

    public java.lang.String paramString()

  Description copied from class: `EBMessage`
  Returns a string representation of this message's parameters.

  Overrides:
    `paramString` in class `EBMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD